Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deWorldObject Class Reference

inherit from this class instead of IdeWorldObject to get basic functionality implemented More...

`#include <deWorld_Helper.hpp>`

Inheritance diagram for deWorldObject:

[legend]
Collaboration diagram for deWorldObject:

[legend]
List of all members.

## Protected Member Functions
virtual void | OnWorldIDSet ()
| deWorldObject ()
| deWorldObject (deWorldID WorldID, deObjectID ObjectID)
virtual | ~deWorldObject ()
deObjectID | GetObjectID ()
| Retrieve the object's world-unique object ID.
deWorldID | GetWorldID ()
| Retrieve the object's runtime-unique World ID.
deBoolean | SetWorldID (deWorldID WorldID, deObjectID ObjectID=0)
deBoolean | SetPrivateData (void *pData, long Size)
void * | GetPrivateData (long &pSize)
| Retrieve the private data member for this object, along with its size in bytes.
## Private Member Functions
deBoolean | DeSerializeLoad ()
## Private Attributes
deWorldID | m_WorldID
IdeWorld * | m_pWorld
deObjectID | m_ObjectID
void * | m_PrivateData
long | m_PrivDataSize

## Detailed Description

inherit from this class instead of IdeWorldObject to get basic functionality implemented

## Constructor & Destructor Documentation

deWorldObject::deWorldObject | ( |  | ) | `[inline, protected]`

deWorldObject::deWorldObject | ( | deWorldID | WorldID,
|  | deObjectID | ObjectID
| ) | `[inline, protected]`

virtual deWorldObject::~deWorldObject | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

deBoolean deWorldObject::DeSerializeLoad | ( |  | ) | `[inline, private, virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Implements IdeWorldObject. Reimplemented in deBrush, deMesh, deSceneRoom, deSceneObject, deSceneABT, deSceneTerrain, deSceneSky, deSceneStaticMesh, deSurface, and deRenderTexture.

deObjectID deWorldObject::GetObjectID | ( |  | ) | `[inline, protected, virtual]`

| Retrieve the object's world-unique object ID. Implements IdeWorldObject.

void* deWorldObject::GetPrivateData | ( | long & | pSize | ) | `[inline, protected, virtual]`

| Retrieve the private data member for this object, along with its size in bytes. Implements IdeWorldObject.

deWorldID deWorldObject::GetWorldID | ( |  | ) | `[inline, protected, virtual]`

| Retrieve the object's runtime-unique World ID. Implements IdeWorldObject.

virtual void deWorldObject::OnWorldIDSet | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented in deSceneSky.

deBoolean deWorldObject::SetPrivateData | ( | void * | pData,
|  | long | Size
| ) | `[inline, protected, virtual]`

| Set a private data member for this object, along with its size in bytes. This data is serialized, so don't store any pointer data. The data is copied into an internally-allocated area, so you can feed local variables in. Calling with 'pData = NULL' will cause it to destroy the data. Implements IdeWorldObject.

deBoolean deWorldObject::SetWorldID | ( | deWorldID | WorldID,
|  | deObjectID | ObjectID = 0
| ) | `[inline, protected, virtual]`

  | Set the object's world ID to a specified World ID. Parameters:
  WorldID | 0 or a valid ID for a currently loaded deWorld
  ObjectID | Reserved use - Use 0 (default)
Implements IdeWorldObject.

## Member Data Documentation

deObjectID deWorldObject::m_ObjectID`[private]`

void* deWorldObject::m_PrivateData`[private]`

long deWorldObject::m_PrivDataSize`[private]`

IdeWorld* deWorldObject::m_pWorld`[private]`

deWorldID deWorldObject::m_WorldID`[private]`

The documentation for this class was generated from the following file:

- deWorld_Helper.hpp